[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.FormState

Determines the state of the form

## Declaration

Source position: forms.pp line 645

`public property TCustomForm.FormState: TFormState read FFormState;`

## Description

Reads or writes a flag to determine the form's state:
is it being created, is this its first showing, is the border style being changed, etc.
FormState is a set, so could take zero or more of possible values.

## See also

TFormState |  | TFormState - the set of form states that apply to this form

The latest version of this document can be found at lazarus-ccr.sourceforge.net.